## ros-eloquent-launch-ros 0.9.6

=== debian/changelog ===
ros-eloquent-launch-ros (0.9.6-1bionic) bionic; urgency=high

  * Update maintainer list for Eloquent (#193 <https://github.com/ros2/launch_ros/issues/193>)
  * Fix LoadComposableNodes action so that loading happens asynchronously (#113 <https://github.com/ros2/launch_ros/issues/113>) (#132 <https://github.com/ros2/launch_ros/issues/132>)
  * Contributors: Jacob Perron, Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-launch-ros (0.9.5-1bionic) bionic; urgency=high

  * Fix remapping rules when using xml/yaml launch files (#111 <https://github.com/ros2/launch_ros/issues/111>)
  * Check for shutdown while waiting for a service response to avoid hang during shutdown (#104 <https://github.com/ros2/launch_ros/issues/104>)
  * Fix misleading deprecated warnings when using launch arguments (#106 <https://github.com/ros2/launch_ros/issues/106>)
  * Use imperative mood in constructor docstrings. (#103 <https://github.com/ros2/launch_ros/issues/103>)
  * Maintain order of parameters regarding name and from (#99 <https://github.com/ros2/launch_ros/issues/99>)
  * Fix push-ros-namespace in xml/yaml launch files (#100 <https://github.com/ros2/launch_ros/issues/100>)
  * Pass the node-name attribute through the substitution parser (#101 <https://github.com/ros2/launch_ros/issues/101>)
  * Add pid to launch_ros node name as suffix (#98 <https://github.com/ros2/launch_ros/pull/98>)
  * Contributors: Brian Ezequiel Marchi, Grey, Ivan Santiago Paunovic, Jacob Perron, Steven! Ragnarök, William Woodall

 -- William Woodall <william@osrfoundation.org>  Tue, 21 Jan 2020 06:00:00 -0000

ros-eloquent-launch-ros (0.9.4-1bionic) bionic; urgency=high

  * fix new linter warnings as of flake8-comprehensions 3.1.0 (#94 <https://github.com/ros2/launch_ros/issues/94>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-launch-ros (0.9.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-eloquent-launch-ros (0.9.2-1bionic) bionic; urgency=high

  * Fix launch_ros.actions.Node parsing function (#83 <https://github.com/ros2/launch_ros/issues/83>)
  * Add support for launching nodes not in a package (#82 <https://github.com/ros2/launch_ros/issues/82>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-launch-ros (0.9.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 28 Sep 2019 05:00:00 -0000

ros-eloquent-launch-ros (0.9.0-1bionic) bionic; urgency=high

  * Refactor Node parse() function. (#73 <https://github.com/ros2/launch_ros/issues/73>)
  * Handle zero-width string parameters. (#72 <https://github.com/ros2/launch_ros/issues/72>)
  * Promote special CLI rules to flags (#68 <https://github.com/ros2/launch_ros/issues/68>)
  * Add substitution for finding package share directory (#57 <https://github.com/ros2/launch_ros/issues/57>)
  * Use of -r/--remap flags where appropriate. (#59 <https://github.com/ros2/launch_ros/issues/59>)
  * install package marker and manifest (#62 <https://github.com/ros2/launch_ros/issues/62>)
  * Adapt to '--ros-args ... [--]'-based ROS args extraction (#52 <https://github.com/ros2/launch_ros/issues/52>)
  * Use node namespace if no other was specified (#51 <https://github.com/ros2/launch_ros/issues/51>)
  * [launch frontend] Rename some tag attributes (#47 <https://github.com/ros2/launch_ros/issues/47>)
  * Fix PushRosNamespace action (#44 <https://github.com/ros2/launch_ros/issues/44>)
  * Add PushRosNamespace action (#42 <https://github.com/ros2/launch_ros/issues/42>)
  * Add frontend parsing methods for Node, ExecutableInPackage and FindPackage substitution (#23 <https://github.com/ros2/launch_ros/issues/23>)
  * Restrict yaml loading in evaluate_parameters (#33 <https://github.com/ros2/launch_ros/issues/33>)
  * Fix typo
  * Use wildcard syntax in generated parameter YAML files (#35 <https://github.com/ros2/launch_ros/issues/35>)
  * Contributors: Dan Rose, Dirk Thomas, Jacob Perron, Michel Hidalgo, Scott K Logan, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-launch-ros (0.8.4-1bionic) bionic; urgency=high

  * Update usage of 'noqa' for imports (#32 <https://github.com/ros2/launch_ros/issues/32>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-launch-ros (0.8.3-1bionic) bionic; urgency=high

  * Added the ``FindPackage`` substitution. (#22 <https://github.com/ros2/launch_ros/issues/22>)
  * Changed interpretation of Parameter values which are passed to ``Node()`` so that they get evaluated by yaml rules. (#31 <https://github.com/ros2/launch_ros/issues/31>)
  * Contributors: Shane Loretz, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-launch-ros (0.8.2-1bionic) bionic; urgency=high

  * Fix deprecation warnings (#25 <https://github.com/ros2/launch_ros/issues/25>)
  * Corrected matches_action usage in lifecycle_pub_sub example (#21 <https://github.com/ros2/launch_ros/issues/21>)
  * Contributors: Jacob Perron, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-launch-ros (0.8.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-launch-ros (0.8.0-1bionic) bionic; urgency=high

  * Make 'ros2 launch' work again. (#201 <https://github.com/ros2/launch_ros/issues/201>)
  * Added LaunchLogger class (#145 <https://github.com/ros2/launch/issues/145>)
  * Changed logger.warn (deprecated) to logger.warning. (#199 <https://github.com/ros2/launch/issues/199>)

