=== debian/control ===
Source: ros-eloquent-launch-ros
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, python3-yaml, ros-eloquent-ament-copyright, ros-eloquent-ament-flake8, ros-eloquent-ament-index-python, ros-eloquent-ament-pep257, ros-eloquent-composition-interfaces, ros-eloquent-launch, ros-eloquent-lifecycle-msgs, ros-eloquent-osrf-pycommon, ros-eloquent-rclpy, ros-eloquent-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-launch-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, ros-eloquent-ament-index-python, ros-eloquent-composition-interfaces, ros-eloquent-launch, ros-eloquent-lifecycle-msgs, ros-eloquent-osrf-pycommon, ros-eloquent-rclpy, ros-eloquent-ros-workspace
Description: ROS specific extensions to the launch tool.
